package com.miaxis.qustion.service;

import java.util.List;
import com.miaxis.qustion.domain.QuestionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.qustion.dto.QuestionInfoDTO;
import com.miaxis.qustion.dto.QuestionInfoFlDTO;
import com.miaxis.qustion.vo.QuestionInfoDfVO;
import com.miaxis.qustion.vo.QuestionInfoFlVO;
import com.miaxis.qustion.vo.QuestionInfoJxVO;

/**
 * 题库Service接口
 *
 * @author miaxis
 * @date 2021-10-20
 */
public interface IQuestionInfoService extends IService<QuestionInfo>{
    /**
     * 查询题库列表
     *
     * @param questionInfo 题库
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListByIds(Long[] ids);

    List<QuestionInfoJxVO> selectJxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoDfVO> selectDfQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoFlVO> selectFlQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);
}
